package cn.cecep.talroad.service;

import cn.cecep.talroad.domain.MonDevFsReal;
import cn.cecep.talroad.vo.MonDevFsRealVo;
import cn.cecep.talroad.vo.analysis.AvgValueVo;
import cn.cecep.talroad.vo.analysis.PumpStateVo;
import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

/**
 * 设备数据-垃圾焚烧-实时 保存设备的实时数据Service接口
 *
 * @author szhpt
 * @date 2023-01-10*/
public interface IMonDevFsRealService extends  IService<MonDevFsReal>
{
    /**
     * 查询设备数据-垃圾焚烧-实时 保存设备的实时数据列表
     *
     * @param monDevFsReal 设备数据-垃圾焚烧-实时 保存设备的实时数据
     * @return 设备数据-垃圾焚烧-实时 保存设备的实时数据集合
     */
    public List<MonDevFsReal> selectMonDevFsRealList(MonDevFsReal monDevFsReal);

    List<MonDevFsRealVo> getDataPage(String factoryId, List<String> deviceIds, String startTime, String endTime, String orderField, String orderType, Page page);


    List<MonDevFsReal> selectLatestByParams(String industry, String deviceType, Date lastHour,Date currDate);

    List<AvgValueVo> selectAvgPhByParams(Date lastDayBegin, Date lastDayEnd);

    List<PumpStateVo> selectPumpStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<PumpStateVo> selectOxFanStateByParams(Date lastHourBegin, Date lastHourEnd);

    List<AvgValueVo> selectAvgTempByParams(Date lastHourBegin, Date lastHourEnd);

    List<MonDevFsReal> selectLatestHourDataByParams(String factoryId, String deviceId, Date lastHour);

    List<AvgValueVo> selectLastDayData(DateTime queryBeginTime, DateTime queryEndTime);
}
